package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ucl;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface UclMapper {

    int insert(Ucl record);

    int insertSelective(Ucl record);

    int updateByPrimaryKeySelective(Ucl record);

    int updateByPrimaryKey(Ucl record);

    int deleteByPrimaryKey(Ucl record);

    int deleteByIds(Collection<Object> collection);

    Ucl selectByPrimaryKey(Ucl record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ucl> dyncRead(Map<String,Object> dyncMap);

    List<Ucl> getDefaultUclByUsr(String usr);

}